Name:           perl-Class-Factory-Util
Version:        1.7
Release:        7%{?dist}
Summary:        Provide utility methods for factory classes 

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-Factory-Util            
Source0: http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Class-Factory-Util-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module exports utility functions that are useful for factory classes.


%prep
%setup -q -n Class-Factory-Util-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.7-7
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.7-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.7-3
- rebuild for new perl

* Tue Jan 01 2008 Ralf Corsépius <rc040203@freenet.de> 1.7-2
- Adjust License-tag.
- BR: perl(Test::More) (BZ 419631).
- BR: perl(Test::Pod), perl(Test::Pod::Coverage).

* Mon Apr 02 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.7-1
- update to 1.7
- switch to Build.PL
- misc spec cleanups

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-3
- bump for mass rebuild

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-2
- bump for build & release 

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-1
Initial spec file for F-E
